{% load custom_tags %}
<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="dashboard_graph">
        <h2>
            {{ titulo }} <small>{{ subtitulo }}</small>
            <ul class="nav navbar-right panel_toolbox">
                <li>
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up"></i>
                    </a>
                </li>
                <li class="dropdown">
                    <a
                        href="#"
                        class="dropdown-toggle"
                        data-toggle="dropdown"
                        role="button"
                        aria-expanded="false"
                    >
                        <i class="fa fa-wrench"></i>
                    </a>
                    <ul
                        class="dropdown-menu estados"
                        data-canvas="{{ titulo | slugify }}"
                        role="menu"
                    >
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                ><b>Brasil</b></a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Acre</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Alagoas</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Amapá</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Amazonas</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Bahia</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Ceará</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Distrito Federal</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Espírito Santo</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Goiás</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Maranhão</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Mato Grosso</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Mato Grosso do Sul</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Minas Gerais</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Pará</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Paraíba</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Paraná</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Pernambuco</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Piauí</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Rio de Janeiro</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Rio Grande do Norte</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Rio Grande do Sul</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Rondônia</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Roraima</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Santa Catarina</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >São Paulo</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Sergipe</a
                            >
                        </li>
                        <li>
                            <a href="#" class="filtra_estado_merged_plot"
                                >Tocantins</a
                            >
                        </li>
                    </ul>
                </li>
                <li>
                    <a class="close-link">
                        <i class="fa fa-close"></i>
                    </a>
                </li>
            </ul>
            <div class="clearfix"></div>
        </h2>
        <div
            id="canvas-{{ titulo | slugify }}"
            class="tonomapa-plot-merged"
            data-label_field="dia"
            data-value_field="qtde"
            data-estado_field="estado"
            data-value_estado_field="qtde"
        ></div>
        <div class="clearfix"></div>
    </div>
</div>
<script type="text/javascript">

    $(document).ready(function() {
        var elmId = "#canvas-{{ titulo | slugify }}";
        let dados_um = {{ dados_um | jsonify_list | safe}};
        dados_um = dados_um.map((elm) => [parseInt(elm['dia'])*1000, elm['qtde']]);
        {% if dados_dois %}
            let dados_dois = {{ dados_dois | jsonify_list | safe}};
            dados_dois = dados_dois.map((elm) => [ parseInt(elm['dia'])*1000, elm['qtde']]);
            data['{{ titulo | slugify }}'] = [
                {label: "Comunidades", data: dados_um},
                {label: "Usuárias/os", data: dados_dois}
            ];
        {% else %}
            data['{{ titulo | slugify }}'] = [
                {label: "Comunidades na organização", data: dados_um}
            ];
        {% endif %}

        let dados_estados_um = {{ dados_por_estado_um | jsonify_list | safe}};
        dataEstados['{{ titulo | slugify }}'] = [
            {label: "Comunidades", data: dados_estados_um}
        ];

        if ($(elmId).length) {
            charts['{{ titulo | slugify }}'] = plotMergedGraph(
                elmId,
                data['{{ titulo | slugify }}']
            );
        }
    });
</script>
